MyGUI::texture_utility Namespace Reference

## Functions

const IntSize & | getTextureSize (const std::string &_texture, bool _cache=true)
uint32 | toNativeColour (const Colour &_colour, VertexColourType _format)
| Convert Colour to 32-bit representation.
void | convertColour (uint32 &_colour, VertexColourType _format)
| Convert from 32-bit ARGB to native colour (ABGR or ARGB).
uint32 | toColourARGB (const Colour &_colour)

## Function Documentation

## convertColour()

void MyGUI::texture_utility::convertColour | ( | uint32 & | _colour,
|  | VertexColourType | _format )

Convert from 32-bit ARGB to native colour (ABGR or ARGB).

Definition at line 86 of file MyGUI_TextureUtility.cpp.

## getTextureSize()

const IntSize & MyGUI::texture_utility::getTextureSize | ( | const std::string & | _texture,
|  | bool | _cache = true )

Definition at line 17 of file MyGUI_TextureUtility.cpp.

## toColourARGB()

uint32 MyGUI::texture_utility::toColourARGB | ( | const Colour & | _colour | ) |

inline

Deprecated
  " is deprecated, use : uint32 texture_utility::toNativeColour(const Colour& _colour, VertexColourType _format)"

Definition at line 26 of file MyGUI_TextureUtility.h.

## toNativeColour()

uint32 MyGUI::texture_utility::toNativeColour | ( | const Colour & | _colour,
|  | VertexColourType | _format )

Convert Colour to 32-bit representation.

Definition at line 63 of file MyGUI_TextureUtility.cpp.